<template>
  <div id="go-btn-area" class="row align-items-center justify-content-center no-gutters" :class="{'align-self-end': $mq !== 'mobile'}"
       :style="`height: 13rem;position:inherit;bottom:20%`">

    <div class="col-12 col-md-auto" @click="goButtonClick"
         :class="{'h-100 text-right': $mq !== 'mobile'}"
         :style="$mq !== 'mobile' ? 'transform: rotate(20deg);' : 'text-align: center;'"
    >
      <img :src="data['go-button-image']" alt="" class="goButton" :style="$mq !== 'mobile' && 'transform: rotate(-20deg);'" />
    </div>

    <div class="col-12 col-md-auto" :style="$mq === 'mobile' && 'transform: rotate(13deg);'" :class="{'h-100 d-flex align-items-end pr-md-3': $mq !== 'mobile'}">
      <img :src="data['arrow-image']" alt="" class="arrowImage" :class="{'rotateArrow': $mq === 'mobile'}" />
    </div>

    <div id="start-heading" class="col-6" :class="{'d-flex justify-content-center': $mq === 'mobile', 'col-md-6 h-100 d-flex justify-content-end align-items-end':  $mq !== 'mobile'}">
      <h1 :style="data['headline-font-StyleObj']" >{{ data['start-heading-text'] }}</h1>
    </div>
  </div>
</template>

<script>

module.exports = {
  props: ['data', 'goButtonClick'],
  data() {
    return {}
  },
  mounted() {
    const img = new Image()
    img.onload = function() {
      // $('#go-btn-area').css({'height': this.height})
    }
    img.src = this.data['video-boundary-gif']
  },
  methods: {
  },
  beforeDestroy() {
  }
}
</script>